TextFormat.ParseException
Date: 2017-07-08

com.google.protobuf

## Class TextFormat.ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.protobuf.TextFormat.ParseException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    TextFormat.UnknownFieldParseException
  Enclosing class:
    TextFormat

      public static class TextFormat.ParseException
      extends java.io.IOException

  Thrown when parsing an invalid text format message.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextFormat.ParseException(int line, int column, java.lang.String message)` Create a new instance
    `TextFormat.ParseException(java.lang.String message)` Create a new instance, with -1 as the line and column numbers.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumn()` Return the column where the parse exception occurred, or -1 when none is provided.
    `int` | `getLine()` Return the line where the parse exception occurred, or -1 when none is provided.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextFormat.ParseException

          public TextFormat.ParseException(java.lang.String message)

      Create a new instance, with -1 as the line and column numbers.

    - #### TextFormat.ParseException

          public TextFormat.ParseException(int line,
                                   int column,
                                   java.lang.String message)

      Create a new instance
      Parameters:
        `line` - the line number where the parse error occurred, using 1-offset.
        `column` - the column number where the parser error occurred, using 1-offset.

  - ### Method Detail

    - #### getLine

          public int getLine()

      Return the line where the parse exception occurred, or -1 when none is provided. The value is specified as 1-offset, so the first line is line 1.

    - #### getColumn

          public int getColumn()

      Return the column where the parse exception occurred, or -1 when none is provided. The value is specified as 1-offset, so the first line is line 1.